# $Revision: 1.20 $, $Date: 2009/09/09 12:44:40 $
# don't use macros.perl here, it generates only unnecessary dependencies
Summary:	HTML to PostScript converter
Summary(pl.UTF-8):	Konwerter HTML-a do PostScriptu
Name:		html2ps
Version:	1.0b5
Release:	7
License:	GPL
Group:		Applications/Graphics
Source0:	http://user.it.uu.se/~jan/%{name}-%{version}.tar.gz
# Source0-md5:	0998fefa4c8f9a04c88cfac7a83df629
Patch0:		%{name}-conf.patch
Patch1:		%{name}-perl_path.patch
Patch2:		%{name}-open.patch
URL:		http://user.it.uu.se/~jan/html2ps.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Perl script html2ps converts HTML to PostScript. It would have
more capabilities if you have some of these packages installed:
ImageMagick, netpbm-progs, libjpeg-progs, perl-libwww, ghostscript,
tetex, tetex-dvips - see documentation for details.

html2ps can be used as ImageMagick delegate to convert from HTML.

%description -l pl.UTF-8
html2ps jest skryptem w Perlu konwertującym HTML do PostScriptu.
Skrypt ma większe możliwości, jeżeli są zainstalowane pakiety:
ImageMagick, netpbm-rpgs, libjpeg-progs, perl-libwww, ghostscript,
tetex, tetex-dvips - szczegóły w dokumentacji.

html2ps może być używany przez ImageMagick do konwersji z HTML-a.

%package -n xhtml2ps
Summary:	GUI frontend for html2ps, a HTML-to-PostScript converter
Summary(pl.UTF-8):	Interfejs graficzny do html2ps - konwertera HTML-a do PostScriptu
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	tk

%description -n xhtml2ps
xhtml2ps is freely-available GUI frontend for html2ps, a
HTML-to-PostScript converter.

%description -n xhtml2ps -l pl.UTF-8
xhtml2ps jest darmową nakładką z interfejsem graficznym do html2ps -
konwertera z HTML-a do PostScriptu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir}/man{1,5}}

sed \
	-e "s!@CONFDIR@!%{_sysconfdir}!" \
	-e "s!@DOCDIR@!%{_docdir}/%{name}-%{version}!" \
	html2ps > $RPM_BUILD_ROOT%{_bindir}/html2ps

sed \
	-e "s!@CONFDIR@!%{_sysconfdir}!" \
	html2ps.1 > $RPM_BUILD_ROOT%{_mandir}/man1/html2ps.1

install html2psrc.5 $RPM_BUILD_ROOT%{_mandir}/man5
install html2psrc $RPM_BUILD_ROOT%{_sysconfdir}
install contrib/xhtml2ps/xhtml2ps $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README html2ps.html sample
%attr(755,root,root) %{_bindir}/html2ps
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_mandir}/man[15]/*

%files -n xhtml2ps
%defattr(644,root,root,755)
%doc contrib/xhtml2ps/README
%attr(755,root,root) %{_bindir}/xhtml2ps

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: html2ps.spec,v $
Revision 1.20  2009/09/09 12:44:40  blues
- rel.7

Revision 1.19  2008/07/27 22:17:48  arekm
- release 6

Revision 1.18  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.16  2006/10/25 18:26:51  glen
- strict internal deps; adapter

Revision 1.15  2006/01/18 11:35:02  maciek2w
- updated to 1.0b5
- patchs fixes (parts of PLD patchs applied to source)

Revision 1.14  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.13  2004/02/24 01:11:55  ankry
- pl fixes, cosmetics

Revision 1.12  2004/01/21 22:26:58  qboosh
- killed _xbindir, release 5 for Ac

Revision 1.11  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:48:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/12/09 12:28:58  qboosh
- added open patch - security fix from SuSE (arbitrary perl code execution)
- release 4, STBR to updates/security

Revision 1.8  2002/11/27 21:10:38  juandon
- new %doc

Revision 1.7  2002/04/25 16:34:25  arturs
- fixed a small typo

Revision 1.6  2002/03/11 09:32:40  qboosh
- release 3: don't use macros.perl here, it generates _only unnecessary_ dependencies

Revision 1.5  2002/02/25 04:41:27  kloczek
- release 2,
- added perl_path patch and added %include /usr/lib/rpm/macros.perl (now
  html2ps have autogenerated perl modules dependences),
- added BuildRequires rules.

Revision 1.4  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:17  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/03/20 20:00:58  kloczek
- removed empty %build and few cosmetics.

Revision 1.1  2001/03/20 01:00:21  qboosh
- from scratch, added some autoconfiguration
  NOTE: don't use find-perl-requires here - it can generate some
  not-really-necessary dependencies
